Get Citizen Delegate Privileges

Gets the privileges of the citizen delegates associated to the logged-in user.

Resource Information

Scopeusers

Deprecated scope name:   get_citizens_delegateprivileges

App TypeCitizen
Authorization TypeAccess token
URI /v4/citizenaccess/citizens/delegatePrivileges?offset={offset}&limit={limit}&lang={lang}
HTTP MethodGET
Automation Version(s)7.3.3.5

Request Information

Field or ParameterTypeRequiredValuesDescriptionAutomation Version
langStringNo�Indicates the language applied.7.3.3.5
limitlongNo�Indicates the number of items that are returned in each page.7.3.3.5
offsetlongNo�Indicates the offset start of each page by the number specified.7.3.3.5

Example

Sample Request Head

GET https://apis.accela.com/v4/citizenaccess/citizens/delegates

Response Information

FieldTypeDescriptionAutomation Version
result[]result{}�7.3.3.5
result.firstNamestringThe citizen user's first name.7.3.3.5
result.idlongThe unique identifier for the object, assigned by the Civic Platform server and provided in a response.7.3.3.5
result.lastNamestringThe citizen user's last name.7.3.3.5
result.permissionsresult.permissions{}An array containing the allowed actions assigned to the user, per module.7.3.3.5
result.userNamestringThe user who assigned the permission.7.3.3.5
statusintegerThe record status.7.3.3.5

Example

Sample Response Body

{
  "result": [
    {
      "name": "AEcPPyQBo",
      "permissions": [
        {
          "level": "MODULE",
          "levelValue": "Building",
          "createRecordAllowed": false,
          "inspectionAllowed": false,
          "renewalAllowed": false,
          "viewRecordAllowed": true,
          "amendAllowed": false,
          "documentAllowed": false,
          "paymentAllowed": false
        }
      ],
      "id": 9057,
      "userName": "mvishwanath",
      "invitationMessage": "You are invited",
      "delegateStatus": "PENDING"
    },
    {
      "name": "ALuRqUZJq",
      "permissions": [
        {
          "level": "MODULE",
          "levelValue": "Building",
          "createRecordAllowed": false,
          "inspectionAllowed": false,
          "renewalAllowed": false,
          "viewRecordAllowed": true,
          "amendAllowed": false,
          "documentAllowed": false,
          "paymentAllowed": false
        }
      ],
      "id": 9310,
      "userName": "mvishwanath",
      "invitationMessage": "You are invited",
      "delegateStatus": "PENDING"
    },
    {
      "name": "BxeHWJMox",
      "permissions": [
        {
          "level": "MODULE",
          "levelValue": "Building",
          "createRecordAllowed": false,
          "inspectionAllowed": false,
          "renewalAllowed": false,
          "viewRecordAllowed": true,
          "amendAllowed": false,
          "documentAllowed": false,
          "paymentAllowed": false
        }
      ],
      "id": 9664,
      "userName": "mvishwanath",
      "invitationMessage": "You are invited",
      "delegateStatus": "PENDING"
    }
  ],
  "status": 200,
  "page": {
    "offset": 0,
    "limit": 25,
    "hasmore": false
  }
}